%define version 2.3
%define release 3mdk

Summary: Base files for localization
Name: locales
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Internationalization
# locale definitions.
Source1: en_DK.ISO-8859-15
Source2: bogus-ja-8bits-locale
Source3: bogus-zh.GB2312-8bits-locale
Source4: bogus-zh.BIG5-8bits-locale
Source5: bogus-ko-8bits-locale
Source6: bogus-ja-english-locale
Source7: bogus-zh.GB2312-english-locale
Source8: bogus-zh.BIG5-english-locale
#Source9: bogus-ko-english-locale
Source10: ar_EG
Source11: bg_BG
Source12: br_FR
Source13: ca_ES
Source14: cy_GB
Source15: eo_XX
Source16: gl_ES
Source17: hy_AM
Source18: ka_GE
# lo_LA incomplete (allmost anything)
Source19: lo_LA
Source20: mk_MK
Source21: oc_FR
Source22: ui_CA
Source23: vi_VN
Source24: wa_BE
# Those exist in glibc >= 2.1 but the attached ones
# are more correct/more complete
Source25: eu_ES
Source26: hu_HU
Source27: sr_YU
Source28: sp_YU
Source29: es@tradicional
# not sure of LC_COLLATE in that one...
Source31: af_ZA
Source32: fa_IR
Source33: ms_MY
Source34: gd_GB
Source35: gv_GB
Source36: kw_GB
Source37: en_BW
Source38: en_ZW
Source39: pd_CA
Source40: pd_US
Source41: pd_DE
Source42: pp_AN
# Yiddish is still incomplete
Source43: yi_US

# setlocale of glibc >= 2.1 is bugged and can't produced an LC_TIME
# with era informations. However glibc can display it... included a file
# created with setlocale of glibc 2.0
Source47: ja-LC_TIME.bz2

# X11 locale stuff
Source48: locales-X11-th_TH.tar
# charset definitions
Source49: VISCII
Source50: TCVN-5712
Source51: CP1133
Source52: MULELAO-1
Source53: ARMSCII-8
Source54: GEORGIAN-ACADEMY
Source55: GEORGIAN-PS
Source56: NUNACOM-7
Source58: BIG5_1984
Source59: GB2312
Source60: EUC-JP
Source61: EUC-KR
Source62: ISIRI-3342

BuildArchitectures: noarch
# to build this package glibc >= 2.1 is needed (for locales definitions)
PreReq: glibc
# no need to check for dependencies when building, there is no executables here
AutoReqProv: no
BuildRoot: /tmp/locales-root
Icon: bulle-blank.xpm
Requires: glibc >= 2.1.3

%description
These are the base files for language localization.
You also need to install the specific locales-?? for the
language(s) you want. Then the user need to set the
LANG variable to their preferred language in their
~/.profile configuration file.

%prep

%build
rm -rf $RPM_BUILD_ROOT

#mv /usr/share/locale /usr/share/locale_bak
mkdir -p $RPM_BUILD_ROOT/usr/share/locale

mkdir -p locales-%{version} ; cd locales-%{version}

LOCALEDIR=$RPM_BUILD_ROOT/usr/share/locale

# languages which have only one locale; use the language name as locale
# name for them; that makes the localization far easier
for i in \
	 af_ZA ar_EG bg_BG br_FR ca_ES cs_CZ cy_GB da_DK el_GR eo_XX \
	 et_EE eu_ES fa_IR fi_FI fo_FO ga_IE gd_GB gl_ES gv_GB \
	 he_IL hr_HR hu_HU hy_AM id_ID is_IS it_IT iu_CA ja_JP ka_GE \
	 kl_GL ko_KR kw_GB lo_LA lt_LT lv_LV mk_MK ms_MY no_NO oc_FR \
	 pl_PL pp_AN ro_RO sl_SI sk_SK sp_YU sr_YU th_TH tr_TR uk_UA \
	 vi_VN wa_BE yi_US zh_CN.GB2312 zh_TW.Big5 es@tradicional
do
	LOCALENAME=$i
	if [ -r ./$i ]; then
		DEF_LOCALE_FILE=./$i
	elif [ -r $RPM_SOURCE_DIR/$i ]; then
		DEF_LOCALE_FILE=$RPM_SOURCE_DIR/$i
		cp $RPM_SOURCE_DIR/$i .
	else
		DEF_LOCALE_FILE=/usr/share/i18n/locales/$i
	fi
	DEF_CHARSET=`grep '^%% Charset:' $DEF_LOCALE_FILE | \
		cut -d':' -f2 | tr '_' '-' | tr -d ' '`
	if [ "$DEF_CHARSET" = "X0201" ]; then DEF_CHARSET=JIS_X0201 ; fi
	if [ "$DEF_CHARSET" = "GB-2312-80" ]; then DEF_CHARSET=GB_1988-80 ; fi
	if [ "$DEF_CHARSET" = "BALTIC" ]; then DEF_CHARSET=ISO-8859-13 ; fi
	# cheating....
	if [ "$DEF_CHARSET" = "KSC5601" ]; then DEF_CHARSET=ISO-8859-1 ; fi
	if [ -z "$DEF_CHARSET" ]; then DEF_CHARSET=ISO-8859-1 ; fi
	DEF_LOCALE=`basename $i`
	if [ "$DEF_LOCALE" = "es@tradicional" ]; then
		DEF_LANG=$DEF_LOCALE
	else
		DEF_LANG=`echo $DEF_LOCALE | cut -b-2`
	fi
	# language code for greek is "el" not "gr"
	if [ "$DEF_LANG" = "gr" ]; then DEF_LANG=el ; fi
	# find the charset definition
        if [ ! -r /usr/share/i18n/charmaps/$DEF_CHARSET ]; then
		DEF_CHARSET=$RPM_SOURCE_DIR/$DEF_CHARSET
	fi
	# if some locale returns a non 0 return code it isn't important
	localedef -c -f $DEF_CHARSET -i $DEF_LOCALE_FILE -u mnemonic.ds $LOCALEDIR/$DEF_LANG  || :
done

# estonian can use iso-8859-15 and iso-8859-4
localedef -c -f ISO-8859-15 -i et_EE -u mnemonic.ds $LOCALEDIR/et || :
localedef -c -f ISO-8859-15 -i et_EE -u mnemonic.ds $LOCALEDIR/et_EE || :
localedef -c -f CP1257      -i et_EE -u mnemonic.ds $LOCALEDIR/et_EE.cp1257 || :
localedef -c -f ISO-8859-4  -i et_EE -u mnemonic.ds $LOCALEDIR/et_EE.iso88594 || :
localedef -c -f ISO-8859-13 -i et_EE -u mnemonic.ds $LOCALEDIR/et_EE.iso885913 || :
localedef -c -f ISO-8859-15 -i et_EE -u mnemonic.ds $LOCALEDIR/et_EE.iso885915 || :

# Lithuanian
localedef -c -f ISO-8859-13 -i lt_LT -u mnemonic.ds $LOCALEDIR/lt || :
localedef -c -f ISO-8859-13 -i lt_LT -u mnemonic.ds $LOCALEDIR/lt_LT || :
localedef -c -f BALTIC      -i lt_LT -u mnemonic.ds $LOCALEDIR/lt_LT.baltic || :
localedef -c -f CP1257      -i lt_LT -u mnemonic.ds $LOCALEDIR/lt_LT.cp1257 || :
localedef -c -f ISO-8859-4  -i lt_LT -u mnemonic.ds $LOCALEDIR/lt_LT.iso88594 || :
localedef -c -f ISO-8859-13 -i lt_LT -u mnemonic.ds $LOCALEDIR/lt_LT.iso885913 || :

# Latvian
localedef -c -f ISO-8859-13 -i lv_LV -u mnemonic.ds $LOCALEDIR/lv || :
localedef -c -f ISO-8859-13 -i lv_LV -u mnemonic.ds $LOCALEDIR/lv_LV || :
localedef -c -f BALTIC      -i lv_LV -u mnemonic.ds $LOCALEDIR/lv_LV.baltic || :
localedef -c -f CP1257      -i lt_LV -u mnemonic.ds $LOCALEDIR/lv_LV.cp1257 || :
localedef -c -f ISO-8859-4  -i lv_LV -u mnemonic.ds $LOCALEDIR/lv_LV.iso88594 || :
localedef -c -f ISO-8859-13 -i lv_LV -u mnemonic.ds $LOCALEDIR/lv_LV.iso885913 || :

# Vietnamese use TCVN encoding in Vietnam
localedef -c -f TCVN-5712 -i vi_VN -u mnemonic.ds $LOCALEDIR/vi_VN || :
localedef -c -f VISCII	  -i vi_VN -u mnemonic.ds $LOCALEDIR/vi_VN.viscii || :
localedef -c -f TCVN-5712 -i vi_VN -u mnemonic.ds $LOCALEDIR/vi_VN.tcvn || :

# laotian (which encoding should be by default ?)
#localedef -c -f ????     -i lo_LA -u mnemonic.ds $LOCALEDIR/lo_LA || :
localedef -c -f CP1133    -i lo_LA -u mnemonic.ds $LOCALEDIR/lo_LA.cp1133 || :
localedef -c -f MULELAO-1 -i lo_LA -u mnemonic.ds $LOCALEDIR/lo_LA.mulelao1 || :

# georgian
localedef -c -f GEORGIAN-ACADEMY -i ka_GE -u mnemonic.ds $LOCALEDIR/ka_GE || :
localedef -c -f GEORGIAN-ACADEMY -i ka_GE -u mnemonic.ds $LOCALEDIR/ka_GE.georgianacademy || :
localedef -c -f GEORGIAN-PS      -i ka_GE -u mnemonic.ds $LOCALEDIR/ka_GE.georgianps || :

# CJK are complicated as there isn't yet full 16 bit support in localedef
# currently you can have 16 bits in LC_CTYPE only; so we do it in two
# steps, one for LC_CTYPE, and one for the other LC_*
cp $RPM_SOURCE_DIR/bogus-*-locale .
cp $RPM_SOURCE_DIR/BIG5_1984 .
cp $RPM_SOURCE_DIR/GB2312 .
cp $RPM_SOURCE_DIR/EUC-JP .
cp $RPM_SOURCE_DIR/EUC-KR .

# ja_JP
localedef -c -f ISO-8859-1 -i bogus-ja-8bits-locale \
	-u mnemonic.ds $LOCALEDIR/ja
bzcat $RPM_SOURCE_DIR/ja-LC_TIME.bz2 > $LOCALEDIR/ja/LC_TIME
localedef -c -f EUC-JP -i bogus-ja-english-locale \
	-u mnemonic.ds ./aa || :
cp ./aa/LC_CTYPE $LOCALEDIR/ja
cp ./aa/LC_COLLATE $LOCALEDIR/ja

# ko_KR
localedef -c -f ISO-8859-1 -i bogus-ko-8bits-locale \
	-u mnemonic.ds $LOCALEDIR/ko

# zh_CN.GB2312
localedef -c -f ISO-8859-1 -i bogus-zh.GB2312-8bits-locale \
	-u mnemonic.ds $LOCALEDIR/zh_CN.GB2312
localedef -c -f GB2312 -i bogus-zh.GB2312-english-locale \
	-u mnemonic.ds ./aa
cp ./aa/LC_CTYPE $LOCALEDIR/zh_CN.GB2312/
cp ./aa/LC_COLLATE $LOCALEDIR/zh_CN.GB2312/

# zh_TW.Big5
localedef -c -f ISO-8859-1 -i bogus-zh.BIG5-8bits-locale \
	-u mnemonic.ds $LOCALEDIR/zh_TW.Big5
localedef -c -f BIG5_1984 -i bogus-zh.BIG5-english-locale \
	-u mnemonic.ds ./aa
cp ./aa/LC_CTYPE $LOCALEDIR/zh_TW.Big5/
cp ./aa/LC_COLLATE $LOCALEDIR/zh_TW.Big5/

# aliases
for i in ja_JP ja_JP.ujis ; do
	mkdir -p $LOCALEDIR/$i
	ln $LOCALEDIR/ja/LC_* $LOCALEDIR/$i || :
	mkdir $LOCALEDIR/$i/LC_MESSAGES
	ln $LOCALEDIR/ja/LC_MESSAGES/* $LOCALEDIR/$i/LC_MESSAGES
done
for i in zh_CN zh_CN.gb2312 ; do
	mkdir -p $LOCALEDIR/$i
	ln $LOCALEDIR/zh_CN.GB2312/LC_* $LOCALEDIR/$i || :
	mkdir $LOCALEDIR/$i/LC_MESSAGES
done
for i in zh_TW zh_TW.big5 ; do
        mkdir -p $LOCALEDIR/$i  
	ln $LOCALEDIR/zh_TW.Big5/LC_* $LOCALEDIR/$i || :
	mkdir $LOCALEDIR/$i/LC_MESSAGES
done

# languages which have several locales
for i in $RPM_SOURCE_DIR/en_?? $RPM_SOURCE_DIR/pd_?? \
	 /usr/share/i18n/locales/de_?? /usr/share/i18n/locales/en_?? \
	 /usr/share/i18n/locales/es_?? /usr/share/i18n/locales/fr_?? \
	 /usr/share/i18n/locales/nl_?? /usr/share/i18n/locales/pt_?? \
	 /usr/share/i18n/locales/sv_?? /usr/share/i18n/locales/ru_??
	
do
	DEF_CHARSET=`grep '^%% Charset:' $i | \
		cut -d':' -f2 | tr '_' '-' | tr -d ' '`
	if [ -z "$DEF_CHARSET" ]; then DEF_CHARSET=ISO-8859-1 ; fi
	DEF_LOCALE=`basename $i`
	DEF_LANG=`echo $DEF_LOCALE | cut -b-2`
	# if some locale returns a non 0 return code it isn't important
	localedef -c -f $DEF_CHARSET -i $DEF_LOCALE -u mnemonic.ds $LOCALEDIR/$DEF_LOCALE || :
done

# create the default locales for languages whith multiple locales
localedef -c -f ISO-8859-1 -i de_DE -u mnemonic.ds $LOCALEDIR/de
localedef -c -f ISO-8859-1 -i en_US -u mnemonic.ds $LOCALEDIR/en
localedef -c -f ISO-8859-1 -i es_ES -u mnemonic.ds $LOCALEDIR/es
localedef -c -f ISO-8859-1 -i fr_FR -u mnemonic.ds $LOCALEDIR/fr
localedef -c -f ISO-8859-1 -i nl_NL -u mnemonic.ds $LOCALEDIR/nl
localedef -c -f ISO-8859-1 -i pt_PT -u mnemonic.ds $LOCALEDIR/pt
localedef -c -f ISO-8859-1 -i sv_SE -u mnemonic.ds $LOCALEDIR/sv
localedef -c -f KOI8-R     -i ru_RU -u mnemonic.ds $LOCALEDIR/ru
localedef -c -f ISO-8859-1 -i $RPM_SOURCE_DIR/pd_US -u mnemonic.ds $LOCALEDIR/pd

# Russian uses koi8-r by default, iso-8859-5 is a second choice
localedef -c -f KOI8-R     -i ru_RU -u mnemonic.ds $LOCALEDIR/ru_RU
localedef -c -f KOI8-R     -i ru_RU -u mnemonic.ds $LOCALEDIR/ru_RU.koi8r || :
localedef -c -f ISO-8859-5 -i ru_RU -u mnemonic.ds $LOCALEDIR/ru_RU.iso88595 || :
# Russian in Ukrainia can use koi8-u
localedef -c -f KOI8-R     -i ru_UA -u mnemonic.ds $LOCALEDIR/ru_UA.koi8r || :
localedef -c -f KOI8-U     -i ru_UA -u mnemonic.ds $LOCALEDIR/ru_UA.koi8u || :
localedef -c -f ISO-8859-5 -i ru_UA -u mnemonic.ds $LOCALEDIR/ru_UA.iso88595 || :


# locales using ISO-8859-15 and euro symbol for european union countries
# (Greece doesn't use latin alphabet, so no iso-8859-15)
cp $RPM_SOURCE_DIR/en_DK.ISO-8859-15 .
for i in es_ES en_IE en_GB nl_BE nl_NL pd_DE pt_PT \
         /usr/share/i18n/locales/de_?? /usr/share/i18n/locales/fr_?? \
         /usr/share/i18n/locales/sv_??
do
	if [ -r $i ]; then
		DEF_LOCALE_FILE=$i
        elif [ -r /usr/share/i18n/locales/$i ]; then
                DEF_LOCALE_FILE=/usr/share/i18n/locales/$i
        else
                DEF_LOCALE_FILE=$RPM_SOURCE_DIR/`basename $i`
        fi
	DEF_LANG=`basename $i`.iso885915
	DEF_LOCALE=`basename $i`.iso885915
	cat $DEF_LOCALE_FILE | \
		sed 's/^int_curr_symbol.*$/int_curr_symbol "<E><U><R><SP>"/' | \
		sed 's/^currency_symbol.*$/currency_symbol "<Eu>"/' | \
		sed 's/"\(.._..\)"/"\1.ISO-8859-15"/' | \
		sed 's/<Cu>/<Eu>/g' > $DEF_LOCALE
        DEF_CHARSET=ISO-8859-15
	localedef -c -f $DEF_CHARSET -i $DEF_LOCALE -u mnemonic.ds $LOCALEDIR/$DEF_LANG || :
	# make some useful aliases
	mkdir $RPM_BUILD_ROOT/usr/share/locale/`basename $i`@euro
	(cd $RPM_BUILD_ROOT/usr/share/locale/`basename $i`@euro
	 ln ../`basename $i`/LC_* . || :
	 mkdir LC_MESSAGES ; cd LC_MESSAGES
	 ln ../../`basename $i`/LC_MESSAGES/* .
	)
done

# locales spoken on only one european country
for i in br_FR ca_ES cy_GB da_DK eu_ES fi_FI ga_IE gd_GB gv_GB gl_ES is_IS \
	 it_IT kw_GB no_NO wa_BE
do
	if [ -r $RPM_SOURCE_DIR/$i ]; then
		DEF_LOCALE_FILE=$RPM_SOURCE_DIR/$i
	else
  		DEF_LOCALE_FILE=/usr/share/i18n/locales/$i
	fi
	DEF_LANG=`basename $i | cut -d'_' -f1 | cut -b-2`
	DEF_LOCALE=`basename $i`.iso885915
	cat $DEF_LOCALE_FILE | \
		sed 's/^int_curr_symbol.*$/int_curr_symbol "<E><U><R><SP>"/' | \
		sed 's/^currency_symbol.*$/currency_symbol "<Eu>"/' | \
		sed 's/"\(.._..\)"/"\1.ISO-8859-15"/' | \
		sed 's/<Cu>/<Eu>/g' > $DEF_LOCALE 
	DEF_CHARSET=ISO-8859-15
	localedef -c -f $DEF_CHARSET -i ./$DEF_LOCALE -u mnemonic.ds $LOCALEDIR/$DEF_LOCALE || :
	# make some useful aliases
        mkdir $RPM_BUILD_ROOT/usr/share/locale/$DEF_LANG@euro
        (cd $RPM_BUILD_ROOT/usr/share/locale/$DEF_LANG@euro
         ln ../$DEF_LOCALE/LC_{COLLATE,CTYPE,MONETARY,NUMERIC,TIME} . || :
         mkdir LC_MESSAGES ; cd LC_MESSAGES
         ln ../../$DEF_LOCALE/LC_MESSAGES/* .
        )
        mkdir $RPM_BUILD_ROOT/usr/share/locale/`basename $i`@euro
        (cd $RPM_BUILD_ROOT/usr/share/locale/`basename $i`@euro
         ln ../$DEF_LOCALE/LC_{COLLATE,CTYPE,MONETARY,NUMERIC,TIME} . || :
         mkdir LC_MESSAGES ; cd LC_MESSAGES
         ln ../../$DEF_LOCALE/LC_MESSAGES/* .
        )
done

# create the default @euro locales for languages whith multiple locales
localedef -c -f ISO-8859-15 -i de_DE.ISO-8859-15 -u mnemonic.ds $LOCALEDIR/de@euro || :
localedef -c -f ISO-8859-15 -i en_GB.ISO-8859-15 -u mnemonic.ds $LOCALEDIR/en@euro || :
localedef -c -f ISO-8859-15 -i es_ES.ISO-8859-15 -u mnemonic.ds $LOCALEDIR/es@euro || :
localedef -c -f ISO-8859-15 -i fr_FR.ISO-8859-15 -u mnemonic.ds $LOCALEDIR/fr@euro || :
localedef -c -f ISO-8859-15 -i nl_NL.ISO-8859-15 -u mnemonic.ds $LOCALEDIR/nl@euro || :
localedef -c -f ISO-8859-15 -i pt_PT.ISO-8859-15 -u mnemonic.ds $LOCALEDIR/pt@euro || :
localedef -c -f ISO-8859-15 -i sv_SE.ISO-8859-15 -u mnemonic.ds $LOCALEDIR/sv@euro || :

# celtic languages may want to use iso-8859-14
localedef -c -f ISO-8859-14 -i br_FR -u mnemonic.ds $LOCALEDIR/br_FR.iso885914 || :
localedef -c -f ISO-8859-14 -i cy_GB -u mnemonic.ds $LOCALEDIR/cy_GB.iso885914 || :
localedef -c -f ISO-8859-14 -i ga_IE -u mnemonic.ds $LOCALEDIR/ga_IE.iso885914 || :
localedef -c -f ISO-8859-14 -i gd_GB -u mnemonic.ds $LOCALEDIR/gd_GB.iso885914 || :
localedef -c -f ISO-8859-14 -i gv_GB -u mnemonic.ds $LOCALEDIR/gv_GB.iso885914 || :
localedef -c -f ISO-8859-14 -i kw_GB -u mnemonic.ds $LOCALEDIR/kw_GB.iso885914 || :

# for compatibility purposes (iso_8859_1 is used by SUNOS/Solaris on
# LC_CTYPE to augment LANG=C and old libc.so.4 used iso-8859-1 for LC_CTYPE
# as there are a lot of docs and HOWTOs telling that I provide those 4
# pseudo locales that makes libc happy when provided a variable LC_CTYPE
# like iso_8859_* or iso-8859-1); also I can now create a base "locales"
# package that is almost language independent ;-)
localedef -c -f ISO-8859-1  -i en_DK      -u mnemonic.ds $LOCALEDIR/iso8859    || :
localedef -c -f ISO-8859-1  -i en_DK      -u mnemonic.ds $LOCALEDIR/iso88591  || :

#rm /usr/share/locale
#mv /usr/share/locale_bak /usr/share/locale

mkdir -p $RPM_BUILD_ROOT/usr/X11R6

#tar xvf $RPM_SOURCE_DIR/locales-X11-vi_VN.tar -C $RPM_BUILD_ROOT/usr/X11R6/

tar xvf $RPM_SOURCE_DIR/locales-X11-th_TH.tar -C $RPM_BUILD_ROOT/usr/X11R6/

#mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/nunacom-7
#cp $RPM_SOURCE_DIR/locales-iu-XLC_LOCALE \
#	$RPM_BUILD_ROOT/usr/X11R6/lib/X11/locale/nunacom-7/XLC_LOCALE

cd ..
#rm -rf locales-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /usr/share/locale
/usr/share/locale/iso*

####################################################################
# The various localization packages.
#
# add one for each new language that is included in the future
# TODO: where to find the files for 16 bits languages (ko) ?
# TODO: someone to translate the Summary and descriptions ?
#       for the following languages: bg, fi, fo,
#	is, kl, ko, lo, lt, lv, pt, sk, th
# TODO: include new languages:
#     Telugu `te', Tagalog `tg'. 
# TODO: correct/complete languages lo
####################################################################

### af
# translation by Schalk Cronje <schalkc@ntaba.co.za>
%package -n locales-af
Summary: Base files for localization (Afrikaans)
Summary(af): Hierdie is die basislers vir Afrikaanse lokalisasie
Group: System/Internationalization
Icon: bulle-af.xpm
URL: http://www.af.org.za/aflaai/linux-i18n/
Requires: locales = %{version}

%description -n locales-af
These are the base files for Afrikaans language localization; you need
it to correctly display 8bits Afrikaans characters, and for proper
alfabetical sorting and representation of dates and numbers according
to Afrikaans language conventions.

%description -n locales-af -l af
Hierdie is die basislers vir Afrikaanse lokalisasie. U benodig dit om die
Afrikaanse 8-bis karakters korrek te vertoon, vir korrekte alfabetiese
sorterting en ook om datums en getalle in die Afrikaanse standaardvorm te
vertoon.

%files -n locales-af
%defattr(-,root,root)
/usr/share/locale/af*

### ar
# translation by Wajdi Al-Jedaibi <wajdi@acm.org>
%package -n locales-ar
Summary: Base files for localization (Arabic)
Summary(ar):          .
Group: System/Internationalization
Icon: bulle-ar.xpm
Requires: locales = %{version}

%description -n locales-ar
These are the base files for Arabic language localization; you need
it to correctly display 8bits arabic characters, and for proper
alfabetical sorting and representation of dates and numbers according
to arabic language conventions.
Note that this package doesn't handle right-to-left and left-to-right
switching when displaying nor the isolate-initial-medial-final shapes
of letters; it is to the xterm, application or virtual console driver
to do that.

%description -n locales-ar -l ar
         .
          
 ,        
,       .

%files -n locales-ar
%defattr(-,root,root)
/usr/share/locale/ar*

### bg
# translation: Mariana Kokosharova <kokosharova@dir.bg>
%package -n locales-bg
Summary: Base files for localization (Bulgarian)
Summary(bg):       
Group: System/Internationalization
Icon: bulle-bg.xpm
Requires: locales = %{version}

%description -n locales-bg
These are the base files for Bulgarian language localization; you need
it to correctly display 8bits Bulgarian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Bulgarian language conventions.

%description -n locales-bg -l bg
        ;
      8 -    
 ,           
      .

%files -n locales-bg
%defattr(-,root,root)
/usr/share/locale/bg*

### br
# Translation by Ja-Mai Drapier (jan-mai-drapier@mail.dotcom.fr)
%package -n locales-br
Summary: Base files for localization (Breton)
Group: System/Internationalization
Icon: bulle-br.xpm
Requires: locales = %{version}
Summary(fr): Fichiers de base pour la localisation en langue brtonne.
Summary(br): Kement-ma a zo restro diazez evit broela diouzh ar brezhoneg.

%description -n locales-br
These are the base files for Breton language localization; you need
it to correctly display 8bits Breton characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Breton language conventions.

%description -n locales-br -l fr
Ce paquet contient les dfinitions de locales en langue brtonne.
Il permet aux applications de savoir quels caractres sont affichables et
donc afficher correctemment les caractres accentus et l'ordre alphabetique;
il contient aussi les definitions des representations des dates et des nombres.

%description -n locales-br -l br
Kement-ma a zo restro diazez evit broela diouzh ar Vrezhoneg; ret eo
evit diskwel ent reizh arouezenno breizhat 8bit, rumma dre al
lizherenneg, taolenna an deizado hag an nivero hervez kendivizado ar
brezhoneg.

%files -n locales-br
%defattr(-,root,root)
/usr/share/locale/br*

### ca
%package -n locales-ca
Summary: Base files for localization (Catalan)
Group: System/Internationalization
Icon: bulle-ca.xpm
Requires: locales = %{version}
Summary(ca): Arxius bsics per a l'adaptaci al catal
Summary(es): Archivos de base para la localizacin en idioma cataln
Summary(fr): Fichiers de base pour la localisation en langue catalane

%description -n locales-ca
These are the base files for Catalan language localization; you need
it to correctly display 8bits Catalan characters, and for proper
representation of dates, numbers and alphabetical order according to
Catalan language conventions

%description -n locales-ca -l ca
Aquests sn els arxius bsics per a l'adaptaci del sistema a les
peculiaritats de la llengua catalana; sn necessaris perqu les
vocals accentuades, la ce trencada, etc. apareguin correctament, i
perqu les dates, els nombres i l'ordre alfabtic s'adaptin a les
convencions de la dita llengua.

%description -n locales-ca -l es
Este paquete incluye las definiciones de locales para el cataln.
Este paquete contiene lo necesario para la visualisacin correcta de
los caracteres 8bits del cataln, para el orden alfabtico
y para la representacin correcta de los nmeros y fechas segn
las convenciones del cataln.

%description -n locales-ca -l fr
Ce paquet contient les dfinitions de locales en langue catalane.
Il permet aux applications de savoir quels caractres sont affichables et
donc afficher correctemment les caractres accentus et l'ordre alphabetique;
il contient aussi les definitions des representations des dates des nombres.

%files -n locales-ca
%defattr(-,root,root)
/usr/share/locale/ca*

### cs
# translation by <pavel@SnowWhite.inet.cz>
%package -n locales-cs
Summary: Base files for localization (Czech)
Group: System/Internationalization
Icon: bulle-cs.xpm
Requires: locales = %{version}
Summary(cs): Zkladn soubory pro lokalizaci (etina)

%description -n locales-cs
These are the base files for Czech language localization; you need
it to correctly display 8bits Czech characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Czech language conventions.

%description -n locales-cs -l cs
Zde jsou soubory nutn pro sprvnou eskou lokalizaci; potebujete je
pro sprvn zobrazovn eskch 8bitovch znak a pro sprvn esk
tdn a rprezentaci data a sel podle eskch konvenc.

%files -n locales-cs
%defattr(-,root,root)
/usr/share/locale/cs*

### cy
%package -n locales-cy
Summary: Base files for localization (Welsh)
Summary(cy): Dyma'r ffeiliau sylfaenol i'r lleoliaeth Cymraeg
Group: System/Internationalization
Icon: bulle-cy.xpm
Requires: locales = %{version}

%description -n locales-cy
These are the base files for Welsh language localization; you need
it to correctly display 8bits Welsh characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Welsh language conventions.

%description -n locales-cy -l cy
Dyma'r ffeiliau sylfaenol i'r lleoliaeth Cymraeg; mae angen rhain er mwyn
dangos yn iawn y cymeriadau Cymraeg 8-bit, a threfniant y wyddor,
dyddiadau a rhifau yn l yr arfer Cymraeg.

%files -n locales-cy
%defattr(-,root,root)
/usr/share/locale/cy*

### da
# danish translation by Erik Martino <martino@daimi.au.dk>
%package -n locales-da
Summary: Base files for localization (Danish)
Summary(da): Her er de basale filer for dansk sprog tilpasning
Group: System/Internationalization
Icon: bulle-da.xpm
Requires: locales = %{version}

%description -n locales-da
These are the base files for Danish language localization; you need
it to correctly display 8bits Danish characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Danish language conventions.

%description -n locales-da -l da
Her er de basale filer for dansk sprog tilpasning. De er ndvendige for
at vise de danske 8bit tegn, sortere alfabetisk og reprsentere datoer
og tal korrekt iflge dansk retskrivning.


%files -n locales-da
%defattr(-,root,root)
/usr/share/locale/da*

### de
%package -n locales-de
Summary: Base files for localization (German)
Group: System/Internationalization
Icon: bulle-de.xpm
Requires: locales = %{version}
Summary(fr): Fichiers de base pour la localisation en langue allemande
Summary(de): Basisdateien fr die Lokalisierung (deutsch)

%description -n locales-de
These are the base files for German language localization; you need
it to correctly display 8bits German characters, and for proper
alphabetical sorting and representation of dates and numbers according
to German language conventions.

%description -n locales-de -l fr
Ce paquet contient les dfinitions de locales en langue allemande.
Il permet aux applications de savoir quels caractres sont affichables et
donc afficher correctemment les caractres accentus et l'ordre alphabetique;
il contient aussi les definitions des representations des dates des nombres.

%description -n locales-de -l de
Dies sind die Basisdateien fr die deutsche Sprachanpassung; sie
werden fr die korrekte Darstellung deutscher 8-Bit-Zeichen,
die deutsche Sortierreihenfolge sowie Datums- und Zahlendarstellung
bentigt.

%files -n locales-de
%defattr(-,root,root)
/usr/share/locale/de*

### el
# translations from "Theodore J. Soldatos" <theodore@eexi.gr>
%package -n locales-el
Summary: Base files for localization (Greek)
Group: System/Internationalization
Icon: bulle-el.xpm
Requires: locales = %{version}
Obsoletes: locales-gr
Provides: locales-gr
Summary(el):     ()

%description -n locales-el
These are the base files for Greek language localization; you need
it to correctly display 8bits Greek characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Greek language conventions.

%description -n locales-el -l el
        .  
    8bit  ,     
         
  .

%files -n locales-el
%defattr(-,root,root)
/usr/share/locale/el*

### en
%package -n locales-en
Summary: Base files for localization (English)
Group: System/Internationalization
Icon: bulle-en.xpm
Requires: locales = %{version}

%description -n locales-en
These are the base files for English language localization.
Contains: en_CA en_DK en_GB en_IE en_US

%files -n locales-en
%defattr(-,root,root)
/usr/share/locale/en*

### eo
# translation by diestel@rzaix340.rz.uni-leipzig.de (Wolfram Diestel)
%package -n locales-eo
Summary: Base files for localization (Esperanto)
Group: System/Internationalization
Icon: bulle-eo.xpm
Requires: locales = %{version}
Summary(eo): Bazaj dosieroj por lokao (Esperanto)

%description -n locales-eo
These are the base files for Esperanto language localization; you need
it to correctly display 8bits esperanto characters, and for proper
alphabetical sorting and representation of dates and numbers according
to esperanto language conventions.

%description -n locales-eo -l eo
Tiuj i estas la bazaj dosieroj por la esperantlingva lokao; vi bezonas
ilin por uste vidi 8-bitajn Esperanto-signojn kaj por usta
alfabeta ordo, datindikoj kaj nombroj konvene al la konvencioj
en esperanta medio.

%files -n locales-eo
%defattr(-,root,root)
/usr/share/locale/eo*

### es
%package -n locales-es
Summary: Base files for localization (Spanish)
Group: System/Internationalization
Icon: bulle-es.xpm
Requires: locales = %{version}
Summary(es): Ficheros de base para la localizacin (castellano)

%description -n locales-es
These are the base files for Spanish language localization; you need
it to correctly display 8bits spanish characters, and for proper
alphabetical sorting and representation of dates and numbers according
to spanish language conventions.

%description -n locales-es -l es
Este paquete incluye las definiciones de locales para el castellano.
Este paquete contiene lo necesario para la visualisacin correcta de
los caracteres 8bits del idioma espaol, para el orden alfabtico 
y para la representacin correcta de los nmeros y fechas segn 
las convenciones del castellano.

%files -n locales-es
%defattr(-,root,root)
/usr/share/locale/es*

### et
# translation from: Ekke Einberg <ekke@data.ee>
%package -n locales-et
Summary: Base files for localization (Estonian)
Summary(et): Siin on vajalikud failid Linuxi eestindamiseks.
Group: System/Internationalization
Icon: bulle-et.xpm
Requires: locales = %{version}

%description -n locales-et
These are the base files for Estonian language localization; you need
it to correctly display 8bits Estonian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Estonian language conventions.

%description -n locales-et -l et
Siin on vajalikud failid Linuxi eestindamiseks. Need on vajalikud
8-bitiliste eesti smbolite
korrektseks esitamiseks ning ige thestikulise jrjestuse jaoks. Samuti
numbrite ja kuupevade
eesti keele reeglitele vastavaks esituseks.

%files -n locales-et
%defattr(-,root,root)
/usr/share/locale/et*

### eu
%package -n locales-eu
Summary: Base files for localization (Basque)
Group: System/Internationalization
Icon: bulle-eu.xpm
Requires: locales = %{version}
Summary(eu): Euskarazko egokitzapenerako oinarrizko artxiboak
Summary(es): Archivos de base para la localizacin en euskara
Summary(fr): Fichiers de base pour la localisation en euskara (langue basque)

%description -n locales-eu
Linux-ek euskaraz badaki !
These are the base files for Basque language localization; you need
it to correctly display 8bits Basque characters, and for proper
representation of dates and numbers according to Basque language
conventions.

%description -n locales-eu -l eu
Linux-ek euskaraz badaki !
Hauek dira euskarazko egokitzapenerako oinarrizko artxiboak; euskarazko
8 biteko karaktereak zuzen ikusi ahal izateko zein zenbakiak
eta datak euskararen arauen arabera era egokian agertarazteko behar dira.

%description -n locales-eu -l es
Linux-ek euskaraz badaki !
Este paquete incluye las definiciones de locales para el euskara.
Este paquete contiene lo necesario para la visualisacin correcta de
los caracteres 8bits del euskara, para el orden alfabtico
y para la representacin correcta de los nmeros y fechas segn
las convenciones del euskara.

%description -n locales-eu -l fr
Ce paquet contient les dfinitions de locales en euskara batua.
Il permet aux applications de savoir quels caractres sont affichables et
donc afficher correctemment les caractres accentus et l'ordre alphabetique;
il contient aussi les definitions des representations des dates des nombres.

%files -n locales-eu
%defattr(-,root,root)
/usr/share/locale/eu*

### fa
%package -n locales-fa
Summary: Base files for localization (Farsi)
Group: System/Internationalization
Icon: bulle-fa.xpm
Requires: locales = %{version}

%description -n locales-fa
These are the base files for Farsi language localization; you need
it to correctly display 8bits Farsi characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Farsi language conventions.
Note that this package doesn't handle right-to-left and left-to-right
switching when displaying nor the isolate-initial-medial-final shapes
of letters; it is to the xterm, application or virtual console driver
to do that.

%files -n locales-fa
%defattr(-,root,root)
/usr/share/locale/fa*

### fi
# translations by Jarkko Vaaraniemi <jvaarani@ees2.oulu.fi>
%package -n locales-fi
Summary: Base files for localization (Finnish)
Summary(fi): Tss on perustiedot Linuxin suomentamiseen.
Group: System/Internationalization
Icon: bulle-fi.xpm
Requires: locales = %{version}

%description -n locales-fi
These are the base files for Finnish language localization; you need
it to correctly display 8bits Finnish characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Finnish language conventions.

%description -n locales-fi -l fi
Tss on perustiedot Linuxin suomentamiseen. Tarvitset sit suomalaisten
8-bittisten merkkien oikeaan esittmiseen, ja oikeaan aakkostamiseen ja
pivien ja numeroiden esitykseen suomenkielen kytnnn mukaan.

%files -n locales-fi
%defattr(-,root,root)
/usr/share/locale/fi*

### fo
%package -n locales-fo
Summary: Base files for localization (Faroese)
Summary(fo): Hetta eru flurnar tr trvar til eina tillaging til froyskt ml
Group: System/Internationalization
Icon: bulle-fo.xpm
Requires: locales = %{version}

%description -n locales-fo
These are the base files for Faroese language localization; you need
it to correctly display 8bits Faroese characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Faroese language conventions.

%description -n locales-fo -l fo
Hetta eru flurnar tr trvar til eina tillaging til froyskt ml. Tr eru
neyugar fyri at vsa froyskar 8-bit stavir, fyri at fa rtt stavra og
vsa dagfestingar og tl sambrt froyska sivenju.

%files -n locales-fo
%defattr(-,root,root)
/usr/share/locale/fo*

### fr
%package -n locales-fr
Summary: Base files for localization (French)
Group: System/Internationalization
Icon: bulle-fr.xpm
Requires: locales = %{version}
Summary(fr): Fichiers de base pour la localisation (franais)
Summary(de): Basisdateien fr die Lokalisierung (Franzsisch)

%description -n locales-fr
These are the base files for French language localization; you need
it to correctly display 8bits french characters, and for proper
alfabetical sorting and representation of dates and numbers 
according to french language conventions.

%description -n locales-fr -l fr
Ce paquet contient les dfinitions de locales en langue franaise.
Il permet aux applications de savoir quels caractres sont affichables
et donc afficher correctemment les caractres accentus et l'ordre
alphabetique; il contient aussi les definitions des representations
des dates des nombres et des symboles montaires en Belgique, Canada,
Suisse, France et Luxembourg.

%description -n locales-fr -l de
Dies sind die Basisdateien fr die franzsische Sprachanpassung; sie
werden fr die korrekte Darstellung deutscher 8-Bit-Zeichen,
die franzsische Sortierreihenfolge sowie Datums- und Zahlendarstellung
bentigt.

%files -n locales-fr
%defattr(-,root,root)
/usr/share/locale/fr*

### ga
%package -n locales-ga
Summary: Base files for localization (Irish)
Summary(ga): Bunchomaid do leagan itiil (Gaeilge)
Group: System/Internationalization
Icon: bulle-ga.xpm
Requires: locales = %{version}

%description -n locales-ga
These are the base files for Irish Gaelic language localization; you need
it to correctly display 8bits gaelic characters, and for proper
alphabetical sorting and representation of dates and numbers according
to gaelic language conventions.

%description -n locales-ga -l ga
Seo iad na bunchomhaid do leagan itiil na Gaeilge; n mr duit
iad a fhil chun tacar carachtar 8ngiotn a thaispeint i gceart,
agus srtil in ord aibitre agus dta agus uimhreacha a chur i
lthair de rir coinbhinsinaigh na Gaeilge.

%files -n locales-ga
%defattr(-,root,root)
/usr/share/locale/ga*

### gd
# translation by Caoimhin O Donnaile [caoimhin@SMO.UHI.AC.UK]
# and Cecil Ward [cecil.ward@FREE4ALL.CO.UK]
%package -n locales-gd
Summary: Base files for localization (Scottish Gaelic)
Summary(gd): Faidhlichean bunaiteach airson localization (Gaidhlig na h-Alba)
Group: System/Internationalization
Icon: bulle-gd.xpm
Requires: locales = %{version}

%description -n locales-gd
These are the base files for Scottish Gaelic language localization; you need
it to correctly display 8bits gaelic characters, and for proper
alphabetical sorting and representation of dates and numbers according
to gaelic language conventions.

%description -n locales-gd -l gd
Seo na faidhlichean bunaiteach air son "locale" na Gidhlig.
Tha feum orra gus caractairean 8-bit fhaicinn, gus faclan a
chur ann an rd na h-aibidile, agus gus ireamhan is cinn-latha
a riochdachadh a-rir ns na Gidhlig.

%files -n locales-gd
%defattr(-,root,root)
/usr/share/locale/gd

### gl
# translation from Emilio <nigrann@sandra.ctv.es>
%package -n locales-gl
Summary: Base files for localization (Galician)
Group: System/Internationalization
Icon: bulle-gl.xpm
Requires: locales = %{version}
Summary(gl): Arquivos da base para definicin de locais para o galego.
Summary(es): Archivos de base para la localizacin en idioma gallego

%description -n locales-gl
These are the base files for Galician language localization; you need
it to correctly display 8bits Galician characters, and for proper
representation of dates and numbers according to Galician language
conventions.

%description -n locales-gl -l gl
Este paquete incle as definicins de locais para o galego. Este paquete
contn o preciso para a representacion correcta dos caracteres de 8 bits
da fala galega, dos nmeros e datas segundo as convencins do galego.

%description -n locales-gl -l es
Este paquete incluye las definiciones de locales para el gallego.
Este paquete contiene lo necesario para la visualisacin correcta de
los caracteres 8bits del gallego, para el orden alfabtico
y para la representacin correcta de los nmeros y fechas segn
las convenciones del gallego.

%files -n locales-gl
%defattr(-,root,root)
/usr/share/locale/gl*

### gv
# translation by Brian Stowell <bstowell@MAILSERVICE.MCB.NET>
%package -n locales-gv
Summary: Base files for localization (Manx Gaelic)
Summary(gv): Coadanyn undinagh son ynnydaghey (Gaelg)
Group: System/Internationalization
Icon: bulle-gv.xpm
Requires: locales = %{version}

%description -n locales-gv
These are the base files for Manx Gaelic language localization; you need
it to correctly display 8bits gaelic characters, and for proper
alphabetical sorting and representation of dates and numbers according
to gaelic language conventions.

%description -n locales-gv -l gv
T'ad shoh ny coadanyn undinagh ry-hoi ynnydaghey chengaghyn Gaelagh; ta
feme ayd orroo dy haishbyney karracteyryn Gaelagh 8-bit dy kiart, as son
reaghey-abbyrlit cooie as taishbyney-daaytyn as earrooyn coardail rish
reillyn-chengey Gaelagh.

%files -n locales-gv
%defattr(-,root,root)
/usr/share/locale/gv


### he (formerly iw)
%package -n locales-he
Summary: Base files for localization (Hebrew)
Summary(he):      
Group: System/Internationalization
Icon: bulle-he.xpm
Requires: locales = %{version}
Obsoletes: locales-iw
Provides: locales-iw

%description -n locales-he
These are the base files for Hebrew language localization; you need
it to correctly display 8bits Hebrew characters, and for proper
alfabetical sorting, and representation of dates and numbers 
according to Hebrew language conventions.
Note that this package doesn't handle right-to-left and left-to-right
switching when displaying; it is to the xterm, application or virtual
console driver to do that.

%description -n locales-he -l he
     (-,
 -8 , ).    
  .   
  xterm  console driver   .

%files -n locales-he
%defattr(-,root,root)
/usr/share/locale/he*

### hr
# translations by Vedran Rodic <vrodic@udig.hr>
%package -n locales-hr
Summary: Base files for localization (Croatian)
Group: System/Internationalization
Icon: bulle-hr.xpm
Requires: locales = %{version}
Summary(hr): Osnovne datoteke za lokalizaciju (Hrvatski)

%description -n locales-hr
These are the base files for Croatian language localization; you need
it to correctly display 8bits Croatian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Croatian language conventions.

%description -n locales-hr -l hr
Ovo su osnovne datoteke za lokalizaciju na Hrvatski jezik; potrebne su
da bi se pravilno prikazali 8 bitni Hrvatski znakovi, za pravilno
sortiranje po abecedi i prikaz datuma i brojeva po pravilima
Hrvatskog jezika.

%files -n locales-hr
%defattr(-,root,root)
/usr/share/locale/hr*

### hu
%package -n locales-hu
Summary: Base files for localization (Hungarian)
Group: System/Internationalization
Icon: bulle-hu.xpm
Requires: locales = %{version}
Summary(hu): Szksges fjlok a magyartshoz

%description -n locales-hu
These are the base files for Hungarian language localization.
You need it to correctly display sort, for sorting order and
proper representation of dates and numbers according 
to Hungarian language conventions.

%description -n locales-hu -l hu
Ezek a szksges fjlok a magyartshoz. Szksg van r a
magyar helyesrs szablyainak megfelel sorbarendezshez,
szmok s dtumok megjelentshez.

%files -n locales-hu
%defattr(-,root,root)
/usr/share/locale/hu*

### hy
# translations by Eugene Sevinian <sevinian@crdlx2.yerphi.am>
%package -n locales-hy
Summary: Base files for localization (Armenian)
Group: System/Internationalization
Icon: bulle-hy.xpm
Requires: locales = %{version}
Summary(hy): ٩ г۳ٳ ݳϳ ûݻ ɻ

%description -n locales-hy
These are the base files for Armenian language localization.
You need it to correctly display 8bit Armenian chars, 
for sorting order and proper representation of dates and
numbers according to Armenian language conventions.

%description -n locales-hy -l hy
 ݻϳ۳  ѳ۳ٳ ݳϳ ûݻ ɻ
 Ż  ۳ݻ ߷ ٵٳ   
 Żݻ ߳ ݻϳٳ ѳٳ ѳٳӳ ѳ ɻ
ϳݻǣ

%files -n locales-hy
%defattr(-,root,root)
/usr/share/locale/hy*

### id (formerly in)
# translations by Mohammad DAMT <mdamt@cakraweb.com>
%package -n locales-id
Summary: Base files for localization (Indonesian)
Group: System/Internationalization
Icon: bulle-id.xpm
Requires: locales = %{version}
Summary(id): File Utama untuk lokalisasi (dalam Bahasa Indonesia)
Obsoletes: locales-in
Provides: locales-in

%description -n locales-id
These are the base files for Indonesian language localization.
You need it to correctly display sort, for proper representation
of dates and numbers according to Indonesian language conventions.

%description -n locales-id -l id
Ini adalah file untuk lokalisasi sistem ke dalam Bahasa Indonesia.
File ini dibutuhkan bila Anda ingin menampilkan tanggal dan penomoran
yang sesuai dengan kaidah Bahasa Indonesia.

%files -n locales-id
%defattr(-,root,root)
/usr/share/locale/id*

### is
# Gudmundur Erlingsson <gudmuner@lexis.hi.is>
%package -n locales-is
Summary: Base files for localization (Icelandic)
Group: System/Internationalization
Icon: bulle-is.xpm
Requires: locales = %{version}
Summary(is): Hr eru grunnskrr fyrir slenska stafrslu.

%description -n locales-is
These are the base files for Icelandic language localization; you need
it to correctly display 8bits Icelandic characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Icelandic language conventions.

%description -n locales-is -l is
Hr eru grunnskrr fyrir slenska stafrslu.  arft  essum skrm a
halda ef 8 bita srslenskir stafir eiga a birtast rttir, til a f
rtta stafrfsr og til a dagsetningar og tlur birtist eins og
venja er  slensku.

%files -n locales-is
%defattr(-,root,root)
# I can't use /usr/share/locale/is* because of /usr/share/locale/iso_8859_1
/usr/share/locale/is
/usr/share/locale/is@euro
/usr/share/locale/is_*

### it
%package -n locales-it
Summary: Base files for localization (Italian)
Summary(it): I files di base per l'adattamento della lingua italiana
Group: System/Internationalization
Icon: bulle-it.xpm
Requires: locales = %{version}

%description -n locales-it
These are the base files for Italian language localization; you need
it to correctly display 8bits Italian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Italian language conventions.

%description -n locales-it -l it
Questi sono i files di base per l'adattamento della lingua italiana. Vi
servono per visualizzare correttamente i caratteri a 8bit in italiano,
per l'ordinamento alfabetico corretto e per la rappresentazione delle
date e dei numeri in forma italiana.

%files -n locales-it
%defattr(-,root,root)
/usr/share/locale/it*

#### iu
#%package -n locales-iu
#Summary: Base files for localization (Inuktitut)
#Group: System/Internationalization
#Icon: bulle-iu.xpm
#Requires: locales = %{version}
#
#%description -n locales-iu
#These are the base files for Inuktitut language localization; you need
#it to correctly display 8bits Inuktitut characters, and for proper
#alphabetical sorting and representation of dates and numbers according
#to Inuktitut language conventions.
#
#%post -n locales-iu
#cd /usr/X11R6/lib/X11/locale
#if grep iu_CA locale.alias >& /dev/null ; then : ; else
#   chmod u+w locale.alias
#   echo -e "iu\t\t\tiu_CA.NUNACOM-7" >> locale.alias
#   echo -e "iu_CA\t\t\tiu_CA.NUNACOM-7" >> locale.alias
#   echo -e "iu_CA.nunacom7\t\tiu_CA.NUNACOM-7" >> locale.alias
#fi
#if grep iu_CA locale.dir >& /dev/null ; then : ; else
#   chmod u+w locale.dir
#   echo -e "nunacom-7/XLC_LOCALE\tiu_CA.NUNACOM-7" >> locale.dir
#fi
#
#%files -n locales-iu
#%defattr(-,root,root)
#/usr/share/locale/iu*
#/usr/X11R6/lib/X11/locale/nunacom-7

### ja
# translation by "Evan D.A. Geisinger" <evan.geisinger@etak.com>
%package -n locales-ja
Summary: Base files for localization (Japanese)
Summary(ja): ܸ饤Ѵåե뽸Ǥ
Group: System/Internationalization
Icon: bulle-ja.xpm
Requires: locales = %{version}
Obsoletes: libwcsmbs

%description -n locales-ja
These are the base files for Japanese language localization; you need
it to correctly display 8bits and 7bits japanese codes, and for proper
representation of dates and numbers according to japanese language conventions.
Note however that this locale definition is not totally right; as I've been
unable to use 16bit characters definitions; I cheated a little to make
it work.

%description -n locales-ja -l ja
ܸ饤Ѵåե뽸Ǥ줬ʤȡ
ӥåʸɤɽǤܼդɽɽǤʤ
ȤơӥåʸɤȤʤäΤǡ
ΥϰͭǡˤˡΡפȤϤʤ
¿ָⲽפƺäǤˡ

%files -n locales-ja
%defattr(-,root,root)
/usr/share/locale/ja*

### ka
%package -n locales-ka
Summary: Base files for localization (Georgian)
Group: System/Internationalization
Icon: bulle-ka.xpm
Requires: locales = %{version}
Summary(ka):    .

%description -n locales-ka
These are the base files for Georgian language localization; you need
it to correctly display 8bits Georgian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Georgian language conventions.

%description -n locales-ka -l ka
   .
 8      
 .  - ,   
   .

%files -n locales-ka
%defattr(-,root,root)
/usr/share/locale/ka*

### kl
%package -n locales-kl
Summary: Base files for localization (Greenlandic)
Group: System/Internationalization
Icon: bulle-kl.xpm
Requires: locales = %{version}

%description -n locales-kl
These are the base files for Greenlandic language localization; you need
it to correctly display 8bits Greenlandic characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Grenlandic language conventions.

%files -n locales-kl
%defattr(-,root,root)
/usr/share/locale/kl*

### ko
# translation by Soo-Jin Lee <NothingSpecial@rocketmail.com>
%package -n locales-ko
Summary: Base files for localization (Korean)
Summary(ko): ̰͵ ѱ ѵ ȭϵ̴
Group: System/Internationalization
Icon: bulle-ko.xpm
Requires: locales = %{version}
Obsoletes: libwcsmbs

%description -n locales-ko
These are the base files for Korean language localization; you need
it to correctly display 8bits and 7bits japanese codes, and for proper
representation of dates and numbers according to korean language conventions.

Note however that this locale definition is not totally right; as I've been
unable to use 16bit characters definitions; I cheated a little to make
it work.

%description -n locales-ko -l ko
̰͵ ѱ ѵ ȭϵ̴  ѱ
  ¥ ڵ ǥø 8Ʈ 7Ʈ ѱ
ڵ Ȯ 迭ϴµ װ ʿϴ.

׷ ̷ Ư Ǵ   ʴ.
 16Ʈ ȣ ǵ ̿  .
 ۾   ֵ Ӽ .

%files -n locales-ko
%defattr(-,root,root)
/usr/share/locale/ko*

### kw
# translations by Andrew Climo-Thompson <andrew@clas.demon.co.uk>
# Laurie Climo <lj.climo@ukonline.co.uk> & Marion Gunn <mgunn@ucd.ie>
%package -n locales-kw
Summary: Base files for localization (Cornish)
Summary(kw): Fylennow sel dhe gernewekhe
Group: System/Internationalization
Icon: bulle-kw.xpm
Requires: locales = %{version}

%description -n locales-kw
These are the base files for Cornish language localization; you need
it to correctly display 8bits cornish characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Cornish language conventions.

%description -n locales-kw -l kw
Otomma'n fylennow sel dhe Gernewekhe an system; 'ma ethom anodho
dhe dhysplegya lythrennow Kernewek 8-ryf dhe wyr, ha sortya yn ordyr
abecedery gwyw ha dysquesdhes dedhyow ha nyverow herwyth rewlys
a'n tavas Kernewek.

%files -n locales-kw
%defattr(-,root,root)
/usr/share/locale/kw

### lo
%package -n locales-lo
Summary: Base files for localization (Laotian) [INCOMPLETE]
Group: System/Internationalization
Icon: bulle-lo.xpm
Requires: locales = %{version}

%description -n locales-lo
These are the base files for Laotian language localization; you need
it to correctly display 8bits lao characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Laotian language conventions.
[THIS IS REALLY INCOMPLETE; OTHER THAN LC_CTYPE THE REST IS STILL
TO BE WRITTEN; ANYONE WANTING TO HELP ?
-- PABLO (srtxg@chanae.alphanet.ch)]

%files -n locales-lo
%defattr(-,root,root)
# not just lo* because of locale.alias
/usr/share/locale/lo
/usr/share/locale/lo_*

### lt
%package -n locales-lt
Summary: Base files for localization (Lithuanian)
Summary(lt): Failai skirti lokals lituanizacijai
Group: System/Internationalization
Icon: bulle-lt.xpm
Requires: locales = %{version}

%description -n locales-lt
These are the base files for Lithuanian language localization; you need
it to correctly display 8bits Lithuanian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Lithuanian language conventions.

%description -n locales-lt -l lt
Baziniai failai skirti lokals lituanizacijai; reikalingi korekti
kam lietuvik, 8 bit simboli atvaizdavimui, alfabetiniam riavimui
bei datos ir skaii atvaizdavimui.

%files -n locales-lt
%defattr(-,root,root)
/usr/share/locale/lt*

### lv
# translation done by Vitauts Stochka <vit@dpu.lv>
%package -n locales-lv
Summary: Base files for localization (Latvian)
Summary(lv): Lokalizcijas pamatfaili (Latvieu)
Group: System/Internationalization
Icon: bulle-lv.xpm
Requires: locales = %{version}

%description -n locales-lv
These are the base files for Latvian language localization; you need
it to correctly display 8bits Latvian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Latvian language conventions.


%description -n locales-lv -l lv
ie ir latvieu valodas lokalizcijas pamatfaili; tie jums ir
nepiecieami, lai pareizi attlotu 8bitu latvieu burtus, veiktu
pareizu krtoanu pc alfabta, k ar attlotu datumus un skaitus
saska ar latvieu valod pieemtajm normm.


%files -n locales-lv
%defattr(-,root,root)
/usr/share/locale/lv*

### mk
%package -n locales-mk
Summary: Base files for localization (Macedonian)
Group: System/Internationalization
Icon: bulle-mk.xpm
Requires: locales = %{version}

%description -n locales-mk
These are the base files for Macedonian language localization; you need it for
proper alphabetical sorting and representation of dates and numbers according
to Macedonian language conventions.

%files -n locales-mk
%defattr(-,root,root)
/usr/share/locale/mk*

### ms
%package -n locales-ms
Summary: Base files for localization (Malay)
Group: System/Internationalization
Icon: bulle-ms.xpm
Requires: locales = %{version}

%description -n locales-ms
These are the base files for Malay language localization; you need it for
proper alphabetical sorting and representation of dates and numbers according
to Malay language conventions.

%files -n locales-ms
%defattr(-,root,root)
/usr/share/locale/ms*

### nl
%package -n locales-nl
Summary: Base files for localization (Dutch)
Group: System/Internationalization
Icon: bulle-nl.xpm
Requires: locales = %{version}
Summary(fr): Fichiers de base pour la localisation en langue nerlandaise
Summary(nl): Dit zijn de basisbestanden nodig voor de Nederlandse taal

%description -n locales-nl
These are the base files for Dutch language localization; you need
it to correctly display 8bits Dutch characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Dutch language conventions.

%description -n locales-nl -l fr
Ce paquet contient les dfinitions de locales en langue nerlandaise.
Il permet aux applications de savoir quels caractres sont affichables et
donc afficher correctemment les caractres accentus et l'ordre alphabetique;
il contient aussi les definitions des representations des dates des nombres.

description -n locales-nl -l nl
Dit zijn de basisbestanden nodig voor de Nederlandse taalmodule; ze zijn
noodzakelijk om de 8bits Nederlandse karakters correct weer te geven en
voor een juiste alfabetische sortering en weergave van data en nummers
volgens de Nederlandse Taalconventies

%files -n locales-nl
%defattr(-,root,root)
/usr/share/locale/nl*

### no
# translations by peter@datadok.no
%package -n locales-no
Summary: Base files for localization (Norwegian)
Summary(no): Dette er basisfilene for lokalisering til norsk sprk
Group: System/Internationalization
Icon: bulle-no.xpm
Requires: locales = %{version}

%description -n locales-no
These are the base files for Norwegian language localization; you need
it to correctly display 8bits Norwegian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Norwegian language conventions.

%description -n locales-no -l no
Dette er basisfilene for lokalisering til norsk sprk. Du trenger dette
for  vise norske 8-bitstegn p riktig mte og for  f riktig sortering
etter alfabetet og visning av datoer og tall i samsvar med norske
konvensjoner.

%files -n locales-no
%defattr(-,root,root)
/usr/share/locale/no*

### oc
%package -n locales-oc
Summary: Base files for localization (Occitan)
Group: System/Internationalization
Icon: bulle-oc.xpm
Requires: locales = %{version}
Summary(oc): fichirs de basa per localisar (occitan)

%description -n locales-oc
These are the base files for Occitan language localization; you need
it to correctly display 8bits Occitan characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Occitan language conventions.

%description -n locales-oc -l oc
Aic avem empaquetat los fichirs de basa per la lengua occitana : los
programas n'an de besonh per afichar corrctament los caractrs dins lo
fenestron, classar l'rdre alfabetic e atanben comptar los jorns 
e los meses en occitan.

%files -n locales-oc
%defattr(-,root,root)
/usr/share/locale/oc*

### pd
%package -n locales-pd
Summary: Base files for localization (Plautdietsch)
Summary(de): Basisdateien fr die Lokalisierung (Plautdietsch)
Summary(pd): Grundspikjaloden fe' Sproaktoopaussinj (Plautdietsch)
Group: System/Internationalization
Icon: bulle-pd.xpm
Requires: locales = %{version}

%description -n locales-pd
These are the base files for Plautdietsch (Mennonite LowGerman) language
localization; you need it to correctly display 8bits Plaudietsch characters,
and for proper alphabetical sorting and representation of dates and numbers
according to Plautdietsch language conventions.

%description -n locales-pd -l pd
Dit send de Grundspikjaloden fe' de plautdietsche Sproaktoopaussinj.
Dee woaren jebrukt om de 8-bit'sche plautdietsche Teakjens noh Droat
ut to drekjen, aules jescheit noh'm Aulfabeet to sortieren, un uk de Dotums
un Nummasch soo auntojwen soo's daut jeweehnlich em Plautdietschen jeiht.

%description -n locales-pd -l de
Dies sind die Basisdateien fr die plautdietsche Sprachanpassung; sie
werden fr die korrekte Darstellung plautdietscher 8-Bit-Zeichen,
die plautdietsche Sortierreihenfolge sowie Datums- und Zahlendarstellung
bentigt.

%files -n locales-pd
%defattr(-,root,root)
/usr/share/locale/pd*

### pl
# translation from piotr pogorzelski <pp@pietrek.priv.pl>
%package -n locales-pl
Summary: Base files for localization (Polish)
Group: System/Internationalization
Icon: bulle-pl.xpm
Requires: locales = %{version}
Summary(pl): Podstawowe pliki dla polskiej lokalizacji

%description -n locales-pl
These are the base files for Polish language localization; you need
it to correctly display 8bits Polish characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Polish language conventions.

%description -n locales-pl -l pl
Pliki do lokalizacji systemu dla jzyka polskiego. Niezbdne do poprawnego
wywietlania 8-mio bitowych polskich znakw diakrytycznych, sortowania,
prezentowania dat i liczb zgodnie z reguami jzyka polskiego.

%files -n locales-pl
%defattr(-,root,root)
/usr/share/locale/pl*

### pp 
%package -n locales-pp
Summary: Base files for localization (Papiamento)
Group: System/Internationalization
Icon: bulle-pp.xpm
Requires: locales = %{version}

%description -n locales-pp
These are the base files for Papiamento language localization; you need
it to correctly display 8bits Papiamento characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Papiamento language conventions.

%files -n locales-pp
%defattr(-,root,root)
/usr/share/locale/pp*

### pt
%package -n locales-pt
Summary: Base files for localization (Portuguese)
Summary(pt): Estes so os arquivos bsicos para a localizao (Portugus)
Group: System/Internationalization
Icon: bulle-pt.xpm
Requires: locales = %{version}

%description -n locales-pt
These are the base files for Portuguese language localization; you need
it to correctly display 8bits Portuguese characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Portuguese language conventions.

%description -n locales-pt -l pt
Estes so os arquivos bsicos para a localizao lingstica em portugus;
eles so necessrios para que o sistema mostre corretamente caracteres
portugueses de 8 bits, e para que tenha as apropriadas ordenaes
alfabticas e representao de datas e nmeros de acordo com as convenes
da lngua portuguesa.

%files -n locales-pt
%defattr(-,root,root)
/usr/share/locale/pt*

### ro
# translation from "Mihai" <mihai@ambra.ro>
%package -n locales-ro
Summary: Base files for localization (Romanian)
Summary(ro): Acestea snt fisierele pentru romne localizarea
Group: System/Internationalization
Icon: bulle-ro.xpm
Requires: locales = %{version}

%description -n locales-ro
These are the base files for Romanian language localization; you need
it to correctly display 8bits Romanian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Romanian language conventions.

%description -n locales-ro -l ro
Acestea snt fisierele de baza pentru localizarea n limba romna; snt
necesare pentru afisarea corecta a caracterelor romnesti pe 8 biti precum
si pentru sortarea alfabetica si reprezentarea datelor si numerelor conform
cu conventiile din limba romna.

%files -n locales-ro
%defattr(-,root,root)
/usr/share/locale/ro*

### ru
%package -n locales-ru
Summary: Base files for localization (Russian)
Group: System/Internationalization
Icon: bulle-ru.xpm
Requires: locales = %{version}
Summary(ru):     ( )

%description -n locales-ru
These are the base files for Russian language localization; you need
it to correctly display 8bits cyrillic characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Russian language conventions.

%description -n locales-ru -l ru
     
  ;    
 8-    ,
     
       
 .

%files -n locales-ru
%defattr(-,root,root)
/usr/share/locale/ru*

### sk
%package -n locales-sk
Summary: Base files for localization (Slovak)
Summary(sk): Toto su zakladne sbory pre slovensk lokalizaciu
Group: System/Internationalization
Icon: bulle-sk.xpm
Requires: locales = %{version}

%description -n locales-sk
These are the base files for Slovak language localization; you need
it to correctly display 8bits Slovak characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Slovak language conventions.

%description -n locales-sk -l sk
Tu s sbory potrebn pre sprvnu slovensk lokalizciu; potrebujete ich pre
korektn zobrazovanie slovenskch 8bitovch znakov a pre sprvne triedenie a
reprezentciu dtumu a sel poda konvenci slovenskho jazyka.

%files -n locales-sk
%defattr(-,root,root)
/usr/share/locale/sk*

### sl
# Translations from Roman Maurer <roman.maurer@fmf.uni-lj.si>
%package -n locales-sl
Summary: Base files for localization (Slovenian)
Summary(sl): Osnovne datoteke za lokalizacijo (slovenina)
Group: System/Internationalization
Icon: bulle-sl.xpm
Requires: locales = %{version}

%description -n locales-sl
These are the base files for Slovenian language localization; you need
it to correctly display 8bits Slovenian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Slovenian language conventions.

%description -n locales-sl -l sl
To so osnovne datoteke za lokalizacijo Linuxa na slovenski
jezik; potrebujete jih za pravilni prikaz 8-bitnih
slovenskih znakov in za pravilno urejanje po abecedi ter
predstavitev datumov in tevilk glede na pravila
slovenskega jezika.

%files -n locales-sl
%defattr(-,root,root)
/usr/share/locale/sl*

### sr
%package -n locales-sr
Summary: Base files for localization (Serbian)
Group: System/Internationalization
Icon: bulle-sr.xpm
Requires: locales = %{version}
Provides: locales-sp
Summary(sp):     () 
Summary(sr): Osnovne datoteke za lokalizaciju (Srpski)

%description -n locales-sr
These are the base files for Serbian language localization; you need
it to correctly display 8bits cyrillic characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Serbian language conventions.

%description -n locales-sr -l sp
    
   ; 
     8 
 ,  
     
     .

%description -n locales-sr -l sr
Ovo su osnovne datoteke za
lokalizaciju na Srpski jezik; potrebne
su da se pravilno prikazali 8 bitni
Srpski znakovi, za pravilno
sortiranje po abecedi i prikaz datuma
i brojeva po pravilima Srpskog jezika.

%files -n locales-sr
%defattr(-,root,root)
/usr/share/locale/sr*
/usr/share/locale/sp*

### sv
# translation by Erik Almqvist <erik.almqvist@vrg.se>
%package -n locales-sv
Summary: Base files for localization (Swedish)
Summary(sv): Detta r huvudfilerna fr svenskt sprkstd
Group: System/Internationalization
Icon: bulle-sv.xpm
Requires: locales = %{version}

%description -n locales-sv
These are the base files for Swedish language localization; you need
it to correctly display 8bits Swedish characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Swedish language conventions.

%description -n locales-sv -l sv
Detta r huvudfilerna fr svenskt sprkstd. De behvs fr att korrekt visa
svenska 8 bitars tecken och fr korrekt alfabetisk sortering. De gr ven
att datum och nummerformat visas p svenskt vis.

%files -n locales-sv
%defattr(-,root,root)
/usr/share/locale/sv*

### th
%package -n locales-th
Summary: Base files for localization (Thai)
Group: System/Internationalization
Icon: bulle-th.xpm
Requires: locales = %{version}
Requires: glibc >= 2.1
Requires: glibc >= 2.1

%description -n locales-th
These are the base files for Thai language localization; you need
it to correctly display 8bits Thai characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Thai language conventions.

%files -n locales-th
%defattr(-,root,root)
/usr/share/locale/th*
/usr/X11R6/lib/X11/th

### tr
# translation from Gorkem Cetin <e077245@narwhal.cc.metu.edu.tr>
%package -n locales-tr
Summary: Base files for localization (Turkish)
Group: System/Internationalization
Icon: bulle-tr.xpm
Requires: locales = %{version}
Summary(tr): Yerelletirme iin temel dosyalar (Trke)

%description -n locales-tr
These are the base files for Turkish language localization; you need
it to correctly display 8bits Turkish characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Turkish language conventions.

%description -n locales-tr -l tr
Bu dosyalar, Trke yerelletirmesi iin gerekli temel bileenleri ierir.
8bit trke karakterleri grmek, Trk diline uygun olarak alfabe, tarih ve
say gsterimlerini ve sralamalarn yapabilmek iin bu dosyalara
ihtiyacnz vardr.

%files -n locales-tr
%defattr(-,root,root)
/usr/share/locale/tr*

### uk
%package -n locales-uk
Summary: Base files for localization (Ukrainian)
Group: System/Internationalization
Icon: bulle-uk.xpm
Requires: locales = %{version}
Summary(ru):     
Summary(uk): צ   ϧ ̦æ
Requires: glibc >= 2.1

%description -n locales-uk
These are the base files for Ukrainian language localization; you need
it to correctly display 8bits Ukrainian characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Ukrainian language conventions.

%description -n locales-uk -l ru
    ;   
 8-   ,    
         
 .

%description -n locales-uk -l uk
צ   ϧ ̦æ; ȦΦ  
צ 8- ¦ ̦  צ   
        צצԦ 
Ԧ ϧ .

%files -n locales-uk
%defattr(-,root,root)
/usr/share/locale/uk*

### vi
# translations by <DaiQuy.nguyen@ulg.ac.be>
%package -n locales-vi
Summary: Base files for localization (Vietnamese)
Group: System/Internationalization
Icon: bulle-vi.xpm
Requires: locales = %{version}
Summary(vi): Cc file c s cho nh v ting Vit 
Summary(vi_VN.viqr): Ca'c file co+ co+? cho ddi.nh vi. tie^'ng Vie^.t
Summary(vi_VN.viscii): Cc file c s cho nh v ting Vit
Summary(vi_VN.tcvn): Cc file c s cho nh v ting Vit

%description -n locales-vi
These are the base files for Vietnamese language localization; you need
it to correctly display 8bits Vietnamese characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Vietnamese language conventions.

%description -n locales-vi -l vi
y l cc file c s cho ting Vit.
Bn cn nhng file ny  c th
biu din chnh xc cc k t ting Vit 8 bits,
 sp xp v trnh by ngy thng v s
mt cch chnh xc theo ng qui c ngn ng ting Vit.

%description -n locales-vi -l vi_VN.viqr
DDa^y la` ca'c file co+ so+? cho tie^'ng Vie^.t.
Ba.n ca^`n nhu+~ng file na`y dde^? co' the^? bie^?u
die^~n chi'nh xa'c ca'c ki' tu+. tie^'ng Vie^.t 8 bits,
dde^? sa('p xe^'p va` tri`nh ba`y nga`y tha'ng va`
so^' mo^.t ca'ch chi'nh xa'c theo ddu'ng qui u+o+'c
ngo^n ngu+~ tie^'ng Vie^.t.

%description -n locales-vi -l vi_VN.viscii
y l cc file c s cho ting Vit.
Bn cn nhng file ny  c th
biu din chnh xc cc k t ting Vit 8 bits,
 sp xp v trnh by ngy thng v s
mt cch chnh xc theo ng qui ߾c ngn ng ting Vit.

%description -n locales-vi -l vi_VN.tcvn
y l cc file c s cho ting Vit.
Bn cn nhng file ny  c th
biu din chnh xc cc k t ting Vit 8 bits,
 sp xp v trnh by ngy thng v s
mt cch chnh xc theo ng qui c ngn ng ting Vit.

%files -n locales-vi
%defattr(-,root,root)
/usr/share/locale/vi*

### wa
# translations from Lorint Hendschel <LorintHendschel@skynet.be>
%package -n locales-wa
Summary: Base files for localization (Walloon)
Group: System/Internationalization
Icon: bulle-wa.xpm
Requires: locales = %{version}
Summary(wa): Maisses fitchs pol lingaedje walon
Summary(fr): Fichiers de base pour la localisation en langue wallonne

%description -n locales-wa
These are the base files for Walloon language localization; you need
it to correctly display 8bits Walloon characters, and for proper
alphabetical sorting and representation of dates and numbers according
to Walloon language conventions.

%description -n locales-wa -l wa
Vochal les maisses fitchs pol lingaedje walon. Vos nd avoz dandji po
hgner les caracteres walons ecds so ht bits, po l' arindjmint
alfabetike eyt po rprezinter les dates eyt les nombes  walon.

%description -n locales-wa -l fr
Ce paquet contient les dfinitions de locales en langue walone.
Il permet aux applications de savoir quels caractres sont affichables et
donc afficher correctemment les caractres accentus et l'ordre alphabetique;
il contient aussi les definitions des representations des dates et des nombres.

%files -n locales-wa
%defattr(-,root,root)
/usr/share/locale/wa*

### yi
%package -n locales-yi
Summary: Base files for localization (Yiddish)
Group: System/Internationalization
Icon: bulle-yi.xpm
Requires: locales = %{version}
URL: http://www.uyip.org/

%description -n locales-yi
These are the base files for Yiddish language localization; you need
it to correctly display 8bits Yiddish characters, and for proper
alfabetical sorting, and representation of dates and numbers
according to Yiddish language conventions.
Note that this package doesn't handle right-to-left and left-to-right
switching when displaying; it is to the xterm, application or virtual
console driver to do that.

%files -n locales-yi
%defattr(-,root,root)
/usr/share/locale/yi*

### zh
# translation (zh_TW.Big5) from <informer@linux1.cgu.edu.tw>
# zh_CN converted from zh_TW.Big5 with b5togb; corrections welcome.
%package -n locales-zh
Summary: Base files for localization (Chinese)
Group: System/Internationalization
Icon: bulle-zh.xpm
Requires: locales = %{version}
Obsoletes: libwcsmbs wcsmbs-locale
Summary(zh_TW.Big5): aƪɮ
Summary(zh_CN.GB2312): ĵطĻ

%description -n locales-zh
These are the base files for Chinese language localization; you need
it to correctly display 8bits and 7bits chinese codes, and for proper
representation of dates and numbers according to chinese language conventions.
Set the LANG variable to "zh_CN" to use simplified chinese (GuoBiao encoding)
or to "zh_TW.Big5" to use traditional characters (Big5 encoding)

%description -n locales-zh -l zh_TW.Big5
ɥ]tFa(localization)ɮ; Aݭnoɮפ~ॿT
ܤ媺CNܼ "LANG" ]w "zh_CN" iH²餤(
X),]w "zh_TW.Big5" hic餤(jX)C 

%description -n locales-zh -l zh_CN.GB2312
ĵط(localization)Ļ; ҪЩȷ
ʾĵڡ "LANG" 趨Ϊ "zh_CN" ʾ(
),趨Ϊ "zh_TW.Big5" ʾ() 

%pre
if [ -r /usr/share/locale/zh_CN/LC_MESSAGES/SYS_LC_MESSAGES ]; then
   rm /usr/share/locale/zh_CN/LC_MESSAGES/SYS_LC_MESSAGES >& /dev/null
   rmdir /usr/share/locale/zh_CN/LC_MESSAGES >& /dev/null
fi
if [ -r /usr/share/locale/zh_CN.gb2312/LC_MESSAGES/SYS_LC_MESSAGES ]; then
   rm /usr/share/locale/zh_CN.gb2312/LC_MESSAGES/SYS_LC_MESSAGES >& /dev/null
   rmdir /usr/share/locale/zh_CN.gb2312/LC_MESSAGES >& /dev/null
fi
if [ -r /usr/share/locale/zh_TW/LC_MESSAGES/SYS_LC_MESSAGES ]; then
   rm /usr/share/locale/zh_TW/LC_MESSAGES/SYS_LC_MESSAGES >& /dev/null
   rmdir /usr/share/locale/zh_TW/LC_MESSAGES >& /dev/null
fi
if [ -r /usr/share/locale/zh_TW.big5/LC_MESSAGES/SYS_LC_MESSAGES ]; then
   rm /usr/share/locale/zh_TW.big5/LC_MESSAGES/SYS_LC_MESSAGES >& /dev/null
   rmdir /usr/share/locale/zh_TW.big5/LC_MESSAGES >& /dev/null
fi
# avoid symlink problems when updating
rm /usr/share/locale/*@euro > /dev/null 2> /dev/null || :

%files -n locales-zh
%defattr(-,root,root)
/usr/share/locale/zh*

%changelog

* Wed May 03 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 2.3-3mdk
- increased release number, to be sure the files will be taken

* Tue Apr 18 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 2.3-2mdk
- removed symlinks of chinese locale, they may cause problems
- added Yiddish locale (date format in LC_TIME still needs checking)
- updated several icons (Thanks Helene)

* Fri Mar 17 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 2.3-1mdk
- added Plautdietsch language locale
- corrections to gl_ES
- added Papiamento language (still to be improved)
- rebuild for glibc 2.1.3

* Fri Jan 28 2000 Francis Galiegue <francis@mandrakesoft.com> 2.2-2mdk
- Added %defattr()s

* Fri Jan 03 2000  Pablo Saratxaga <pablo@mandrakesoft.com>
- added Farsi (Iranian) locale.
- little fix to Esperanto locale (monetary & dates)
- corrected Latvian charset
- added first version of Malay locale
- added various languaes descriptions

* Fri Dec 03 1999  Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed cy_GB locale
- added japanese description of locales-ja
- added new af_ZA locale

* Tue Nov 09 1999  Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed the yes/no ukrainian localization

* Sat Nov 06 1999  Pablo Saratxaga <pablo@mandrakesoft.com>
- removed conflicting conflitcs :)

* Fri Oct 29 1999  Pablo Saratxaga <pablo@mandrakesoft.com>
- fixed hebrew descriptions
- fixed XFree86 dependencies (replaced them with conflict with lower versions)

* Fri Oct 08 1999  Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected cy_GB locale
- added locales using iso-8859-14 for celtic languages
- added Bulgarian locale
- another little correction of tcvn-5712

* Fri Sep 17 1999  Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected Lithuanian and Estonian locales to use proper charset
  (iso-8859-13 and iso-8859-15 respectively)
- corrected ru_RU to use koi8-r
- changed directory naming as to be the same than what glibc now uses
- id_ID locale updated from Mohammad DAMT <mdamt@cakraweb.com>

* Thu Aug 26 1999  Pablo Saratxaga <pablo@mandrakesoft.com>
- corrected a little bug
- it seems that localedef doesn't work anymore for eras in LC_CTIME :-(
  I include the precompiled japanese files from previous version

